/**
 * \file T_TAILConfig.h
 * \author Christopher Ruwisch (christopher.ruwisch@tu-berlin.de)
 * \brief T_TAIL tail configuration information
 * \version 0.1
 * \date 2023-10-31
 *
 * @copyright Copyright (c) 2023
 *
 */
#ifndef EMPENNAGEDESIGN_SRC_TAW_T_TAIL_TAWT_TAILCONFIG_H_
#define EMPENNAGEDESIGN_SRC_TAW_T_TAIL_TAWT_TAILCONFIG_H_

#include <aixml/endnode.h>

#include "lib/IO_methods/io.h"

namespace taw {
namespace low {

class T_Tail_Config {
 public:
  T_Tail_Config();
  ~T_Tail_Config() = default;
  void read(const node& xml);

  EndnodeReadOnly<std::string> common_airfoil_data_path;
  EndnodeReadOnly<std::string> design_mode;
  EndnodeReadOnly<std::string> mass_mode;
  TailElement vertical_stabilizer;
  TailElement horizontal_stabilizer;
};

}  // namespace low
}  // namespace taw
#endif  // EMPENNAGEDESIGN_SRC_TAW_T_TAIL_TAWT_TAILCONFIG_H_
